# Version SVN: $Id: defaults.yml 125 2014-07-16 07:24:12Z sven.poeche $
defaults:
  api:
    name:                             'API'
    description:                      ''
    weight:                           -9188
    params:
      api_enabled:
        type:                         boolean
        value:                        false
        name:                         'API enabled'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      api_support_email:
        type:                         string
        value:                        support@<?php print isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : shell_exec('hostname'); ?>    # Workaround for new line
        name:                         'API support e-mail address'
        description:                  'This is the email address that is displayed at API messages'
        editable:                     true
        system:                       false
        nullable:                     false
      api_format:
        type:                         set
        value:                        'xml'
        set:                          { xml: 'XML', json: 'JSON' }
        name:                         'API default format'
        description:                  'Default value of the response format'
        editable:                     true
        system:                       false
        nullable:                     false
      api_max_symbol_generate:
        type:                         integer
        value:                        '32'
        set:                          { xml: 'XML', json: 'JSON' }
        name:                         'Automatic API key length'
        description:                  'Default character length of the auto-generated API key'
        editable:                     true
        system:                       false
        nullable:                     false  
